<div {{on "click" this.handleClick}} class="hover-icon {{if @overlay.isActive 'is-active'}}" {{did-insert this.setup}} {{did-update this.setup this.iconId @overlay}} style={{this.containerStyle}}>
  {{#if this.icon}}
    <img class="icon-image" src={{this.icon.image.value}} title={{this.icon.localName}} alt={{this.icon.localName}} />
  {{/if}}
</div>